Bug 4566 - provide password to kerb_prompter()
provide password to kerb_prompter()
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.25
Other Other
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-27 10:58 UTC by jacob berkman
Modified: 2007-05-26 10:51 UTC (History)
2 users (show)

See Also:


Attachments
pass password to kerb_prompter() (583 bytes, patch)
2007-04-27 10:59 UTC, jacob berkman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jacob berkman 2007-04-27 10:58:30 UTC
when kerberos_kinit_password_ext() is called, it passes NULL as the prompter_data, where it could pass the same password it also passed to krb5_get_init_creds_password().

This is needed by the pkinit kerberos preauth method when used via pam_winbind, as it is difficult to get the password saved previously in the pam stack otherwise.
Comment 1 jacob berkman 2007-04-27 10:59:54 UTC
Created attachment 2467 [details]
pass password to kerb_prompter()
Comment 2 Jeremy Allison 2007-05-25 17:04:09 UTC
Looks good - applied.
Thanks !
Jeremy.